Starmade | can't split or merge multi slots when over or near capacity limit
Closed, FinishedPublic

Description

If you try to split a multi slot when you're over capacity, it won't work.

When you try this near the capacity limit, it won't work either.

  • I think it's trying to create a duplicate stack first to split that, which sort off double the volume of that stack (and that makes it seem to go over capacity)

How to reproduce:

  1. place a multi slot stack in an empty inventory.
  2. increase the multi slots volume by adding blocks, when it takes in 49.9%, try to split it
  3. it works
  4. do the same but try it when you're over 50% capacity used
  5. it won't work

This makes me conclude that it indeed creates a double multi slot stack somewhere and it uses the volume of both combined to check.

The exact same thing happens when you try to move a block into an inventory that has a multi slot where it belongs in.
It will think the multi slot it is going to be merged in counts as double volume which will trigger the "inventory too small" error again. It does compare this to the capacity of the inventory the item is coming from, not where the multi slot is atm.

Details

Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19537 (Dev)
Issue Type
Bug
Category
Control Block System: Functional
First occurrence (version)
0.19509 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
lancake created this task.Dec 3 2015, 3:54 PM
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake changed Category from none/unspecified to Control Block System: Functional.
lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.
lancake set First occurrence (version) to 0.19509 (Dev).
lancake changed Reproducible from uncertain to Yes.
lancake set Last tested (version) to 0.19509 (Dev).
lancake edited Serverconfig (server.cfg). (Show Details)
lancake edited Clientconfig (settings.cfg). (Show Details)
lancake added a subscriber: lancake.
lancake changed the title from "can't split multi slots when over or near capacity limit" to "can't split or merge multi slots when over or near capacity limit".Dec 3 2015, 3:59 PM
lancake edited the task description. (Show Details)
lancake set Issue Type to Bug.
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.
lancake claimed this task.Dec 3 2015, 5:05 PM

-Confirmed-

lancake changed the task status from "Open" to "In Queue (Game)".Dec 3 2015, 5:08 PM
lancake edited the task description. (Show Details)Dec 4 2015, 6:43 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Dec 4 2015, 6:44 PM
schema added a subscriber: schema.
lancake changed the task status from "Resolved" to "In Queue (Game)".Dec 4 2015, 7:51 PM

-QA Testing-

Not fixed for merging an item into a multi slot (or a slot that's going to be one after merging) with shift + click. It uses the target stack's volume to compare that to the other inventory's max capacity. This causes it to not work in some cases if that max capacity is low.

2 examples of me trying to move 500 tetra hull to the left inventory with shift + click.


This one failed, the first block it encounters is "grey hull" so it tries to make a multi slot with this, it uses its capacity which is 800 to compare to the right chest's max capacity which is 200 -> inventory is full so it doesn't move.


This one succeeded, the first block it encounters is "grey hull tetra" which is the same block that is being moved, it doesn't need to create a multi slot and just combines just fine.

schema changed the task status from "In Queue (Game)" to "Resolved".Dec 17 2015, 7:46 PM
Restricted Application added a subscriber: AndyP. · View Herald Transcript
lancake changed the task status from "Resolved" to "In Queue (Game)".Dec 18 2015, 5:59 PM

Tried out the same setups, this time both worked.

However it doesn't properly check capacity anymore.
There are 2 cases:

  1. When an item being moved is going to merge into a multi slot, it doesn't check capacity properly and allows you to go over it.
  2. When an item being moved is going to be merged into a single stack slot (the same item), same thing happens.

Examples:

  1. Transferring grey hull to an inventory with grey hull wedges will allow you to go over capacity, it will be merged into a multi slot.
  2. Transferring power reactors to an inventory that already contains power reactors will get both merged, and allow over capacity.
lancake changed Last tested (version) from 0.19509 (Dev) to 0.19533 (Dev).Dec 18 2015, 6:00 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Dec 18 2015, 6:22 PM
lancake closed this task as "Closed".Dec 19 2015, 2:27 AM

-QA Testing-

Fix confirmed.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptDec 19 2015, 2:27 AM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript
lancake changed Last tested (version) from 0.19533 (Dev) to 0.19537 (Dev).Dec 19 2015, 2:27 AM

Add Comment